## ros-noetic-nmea-navsat-driver 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(nmea_navsat_driver)

find_package(catkin REQUIRED)

catkin_python_setup()
catkin_package()

install(PROGRAMS
   scripts/nmea_serial_driver
   scripts/nmea_socket_driver
   scripts/nmea_topic_driver
   scripts/nmea_topic_serial_reader
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
   FILES_MATCHING PATTERN "*.launch"
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint)
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-noetic-nmea-navsat-driver (0.6.1-2focal) focal; urgency=high

  * Decode lines from the UDP server before passing them to the driver (#122 <https://github.com/evenator/nmea_navsat_driver/issues/122>)
  * Fix #115 <https://github.com/evenator/nmea_navsat_driver/issues/115> Decoding errors. (#116 <https://github.com/evenator/nmea_navsat_driver/issues/116>)
  * Fix UTC time parsing #105 <https://github.com/evenator/nmea_navsat_driver/issues/105> (#106 <https://github.com/evenator/nmea_navsat_driver/issues/106>)
  * Fix lint in doc config python (#117 <https://github.com/evenator/nmea_navsat_driver/issues/117>)
  * Contributors: Ed Venator

 -- Ed Venator <evenator@gmail.com>  Sat, 16 Jan 2021 05:00:00 -0000

ros-noetic-nmea-navsat-driver (0.6.0-2focal) focal; urgency=high

  * Update to Python3 for ROS Noetic (#113 <https://github.com/ros-drivers/nmea_navsat_driver/issues/113>)
  * Fix valid_fix check (#111 <https://github.com/ros-drivers/nmea_navsat_driver/issues/111>) (#112 <https://github.com/ros-drivers/nmea_navsat_driver/issues/112>)
  * Add Sphinx and rosdoc configuration (#93 <https://github.com/ros-drivers/nmea_navsat_driver/issues/93>)
  * Add missing dependency on tf (#102 <https://github.com/ros-drivers/nmea_navsat_driver/issues/102>)
  * Trim whitespace in nmea_topic_driver (#98 <https://github.com/ros-drivers/nmea_navsat_driver/issues/98>)
  * Use a regex to split tokens in parser (#87 <https://github.com/ros-drivers/nmea_navsat_driver/issues/87>)
  * Fix PEP8 Violations (#68 <https://github.com/ros-drivers/nmea_navsat_driver/issues/68>)
  * Remove automatic prefixing of forward slash to frame_id. (#33 <https://github.com/ros-drivers/nmea_navsat_driver/issues/33>/#57 <https://github.com/ros-drivers/nmea_navsat_driver/issues/57>)
  * Add support for IMU aided GPS systems (#30 <https://github.com/ros-drivers/nmea_navsat_driver/issues/30>/#58 <https://github.com/ros-drivers/nmea_navsat_driver/issues/58>)
  * Publish heading (#25 <https://github.com/ros-drivers/nmea_navsat_driver/issues/25>)
  * Improve Covariance Estimation (#46 <https://github.com/ros-drivers/nmea_navsat_driver/issues/46>)
  * Remove Mean Sea Level compensation (#36 <https://github.com/ros-drivers/nmea_navsat_driver/issues/36>)
  * Contributors: Ed Venator, Maximilian von Unwerth

 -- Ed Venator <evenator@gmail.com>  Sat, 26 Sep 2020 04:00:00 -0000

ros-noetic-nmea-navsat-driver (0.5.2-2focal) focal; urgency=high

  * Use Python's SocketServer rather than low level socket APIs. (#92 <https://github.com/ros-drivers/nmea_navsat_driver/issues/92>)
    This simplifies code and makes it easier to add TCP support in the future. The ``buffer_size`` parameter is no longer necessary because this is an internal detail of UDPServer.
  * Add documentation that passes ``pydocstyle``. (#88 <https://github.com/ros-drivers/nmea_navsat_driver/issues/88>)
  * Add an Option to Use GNSS Time and Improve Time Parsing. (#79 <https://github.com/ros-drivers/nmea_navsat_driver/issues/79>)
    
      * Add an optional parameter ``use_GNSS_time`` to use the time from the GPS sentences for ROS message time instead of using system time.
      * Improve GPS time parsing to support nanosecond precision on devices that support it.
      * Improve GPS time parsing to use RMC message for date when available.
      * Improve GPS time parsing to resolve ambiguities in date and century using system time.
    
  * Refactor all nodes into entrypoint scripts. (#76 <https://github.com/ros-drivers/nmea_navsat_driver/issues/76>).
    This will reduce the difference between ROS 1 and ROS 2 code, because ROS 2 uses Python entry points to install executables.
  * Fix PEP8 Violations (#68 <https://github.com/ros-drivers/nmea_navsat_driver/issues/68>). All Python modules and scripts now pass ``pycodestyle --max-line-length 120 src/libnmea_navsat_driver/ scripts/*``
  * Add ``nmea_serial_driver`` launch file (#60 <https://github.com/ros-drivers/nmea_navsat_driver/issues/60>)
  * Removed ``roslint`` as build depend. (#59 <https://github.com/ros-drivers/nmea_navsat_driver/issues/59>)
    ``roslint`` was accidentally re-added as a build dependency in #25 <https://github.com/ros-drivers/nmea_navsat_driver/issues/25>.
  * Contributors: Ed Venator, Ryan Govostes, Tony Baltovski, Xiangyang Zhi, diasdm

 -- Ed Venator <evenator@gmail.com>  Sun, 23 Feb 2020 05:00:00 -0000

ros-noetic-nmea-navsat-driver (0.5.1-2focal) focal; urgency=high

  * Add support for IMU aided GPS systems like the Applanix POS/MV, whose NMEA strings typically begin '$IN'. (e.g. $INGGA). Add support for VTG messages, which contain Course Over Ground and Speed Made Good. These are useful when not using RMC messages and you don't have a heading sensor. (#30 <https://github.com/ros-drivers/nmea_navsat_driver/issues/30>/#58 <https://github.com/ros-drivers/nmea_navsat_driver/issues/58>)
  * Add a NMEA socket driver node, which is like the existing serial driver node, but instead of attaching to a TTY handle from a serial port, it listens to a UDP port for NMEA sentences. (#32 <https://github.com/ros-drivers/nmea_navsat_driver/issues/32>)
  * Add code to handle serial exception to allow node to exit cleanly (#52 <https://github.com/ros-drivers/nmea_navsat_driver/issues/52>)
  * Cleanup CMakeLists, package.xml; using package format 2. (#28 <https://github.com/ros-drivers/nmea_navsat_driver/issues/28>)
  * Update maintainer to Ed Venator (#38 <https://github.com/ros-drivers/nmea_navsat_driver/issues/38>)
  * Add GLONASS support
  * Updated driver to accept status of 9 which some novatel recievers report for a WAAS (SBAS) fix.
    See http://www.novatel.com/support/known-solutions/which-novatel-position-types-correspond-to-the-gga-quality-indicator/
  * Contributors: Ed Venator, Eric Perko, Loy, Mike Purvis, Patrick Barone, Timo Röhling, Vikrant Shah

 -- Ed Venator <evenator@gmail.com>  Sun, 30 Dec 2018 05:00:00 -0000

ros-noetic-nmea-navsat-driver (0.5.0-2focal) focal; urgency=high



=== debian/control ===
Source: ros-noetic-nmea-navsat-driver
Section: misc
Priority: optional
Maintainer: Ed Venator <evenator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, ros-noetic-catkin, ros-noetic-roslint
Homepage: http://ros.org/wiki/nmea_navsat_driver
Standards-Version: 3.9.2

Package: ros-noetic-nmea-navsat-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-serial, ros-noetic-geometry-msgs, ros-noetic-nmea-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-tf
Description: Package to parse NMEA strings and publish a very simple GPS message.
 Does not require or use the GPSD deamon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-nmea-navsat-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
